function onBegin()
	
	disableMovement()
	if not (getFlag("Ch4_EXXENIAKEY02")) then
		makeUnskippable()
	end
	disableRetry()
	player.ForceCameraUpdate = true
	say("KtA_CTSB_Backstage03")
	
end

function onEnd(room, wasSkipped)
	if wasSkipped then
	enableMovement()
	enableRetry()
	else
	setFlag("startflashback",true)
	end
end